summaryrefslogtreecommitdiff
path: root/extra/fluidsynth
diff options
context:
space:
mode:
authorroot <root@rshg054.dnsready.net>2012-09-21 00:28:31 -0700
committerroot <root@rshg054.dnsready.net>2012-09-21 00:28:31 -0700
commit7bcc3e9d12b9294024067ecaf8ab28a9fe83ab6c (patch)
treeb3960814ca09f169fed5fd65f01497cb38fc3cf4 /extra/fluidsynth
parent005a14f92ef5d35e4c47d970cb7e69367a835958 (diff)
Fri Sep 21 00:28:30 PDT 2012
Diffstat (limited to 'extra/fluidsynth')
-rw-r--r--extra/fluidsynth/PKGBUILD22
-rw-r--r--extra/fluidsynth/fluidsynth.conf2
-rw-r--r--extra/fluidsynth/fluidsynth.install19
-rw-r--r--extra/fluidsynth/fluidsynth.rc40
-rw-r--r--extra/fluidsynth/fluidsynth.systemd9
5 files changed, 83 insertions, 9 deletions
diff --git a/extra/fluidsynth/PKGBUILD b/extra/fluidsynth/PKGBUILD
index 4e383731b..616472e31 100644
--- a/extra/fluidsynth/PKGBUILD
+++ b/extra/fluidsynth/PKGBUILD
@@ -1,10 +1,10 @@
-# $Id: PKGBUILD 151334 2012-02-25 14:36:41Z pierre $
+# $Id: PKGBUILD 166870 2012-09-20 10:08:01Z schiv $
# Maintainer: Ray Rashif <schiv@archlinux.org>
# Contributor: damir <damir@archlinux.org>
pkgname=fluidsynth
-pkgver=1.1.5
-pkgrel=2
+pkgver=1.1.6
+pkgrel=1
pkgdesc="A real-time software synthesizer based on the SoundFont 2 specifications"
arch=('i686' 'x86_64')
url="http://www.fluidsynth.org/"
@@ -13,12 +13,15 @@ makedepends=('cmake' 'ladspa' 'doxygen')
optdepends=('pulseaudio: PulseAudio sound support')
license=('LGPL')
backup=('etc/conf.d/fluidsynth')
+install=$pkgname.install
source=("http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
'fluidsynth.conf'
- 'fluidsynthd')
-md5sums=('657e49e682b316432a4421dbb0313c3e'
- '16c5f4d4cbdddc6c5fcbd4fd4cc142f1'
- 'b296dbfb524c2164f552f68bd9abe2ec')
+ 'fluidsynth.rc'
+ 'fluidsynth.systemd')
+md5sums=('ae5aca6de824b4173667cbd3a310b263'
+ '7d0ab0d75d4e87652f4cb7ffeac8a82b'
+ 'b296dbfb524c2164f552f68bd9abe2ec'
+ 'e0406748a154409907df62292be32e8a')
build() {
cd "$srcdir/$pkgname-$pkgver"
@@ -38,8 +41,11 @@ package() {
install -Dm644 "$srcdir/fluidsynth.conf" \
"$pkgdir/etc/conf.d/fluidsynth"
- install -Dm755 "$srcdir/fluidsynthd" \
+ install -Dm755 "$srcdir/fluidsynth.rc" \
"$pkgdir/etc/rc.d/fluidsynth"
+
+ install -Dm644 "$srcdir/fluidsynth.systemd" \
+ "$pkgdir/usr/lib/systemd/system/fluidsynth.service"
}
# vim:set ts=2 sw=2 et:
diff --git a/extra/fluidsynth/fluidsynth.conf b/extra/fluidsynth/fluidsynth.conf
index 5267d5835..b8465fa2e 100644
--- a/extra/fluidsynth/fluidsynth.conf
+++ b/extra/fluidsynth/fluidsynth.conf
@@ -1,2 +1,2 @@
FSYNTH_OPTS="-a alsa -m alsa_seq -r 48000"
-FSYNTH_SOUNDFONT="" \ No newline at end of file
+FSYNTH_SOUNDFONT="" # path to your soundfont
diff --git a/extra/fluidsynth/fluidsynth.install b/extra/fluidsynth/fluidsynth.install
new file mode 100644
index 000000000..86e05f892
--- /dev/null
+++ b/extra/fluidsynth/fluidsynth.install
@@ -0,0 +1,19 @@
+post_install() {
+ echo
+ echo " > To use FluidSynth as a daemon edit /etc/conf.d/fluidsynth"
+ echo
+ echo " > Systemd users need to copy the service file from:"
+ echo " /usr/lib/systemd/system/fluidsynth.service"
+ echo " > to:"
+ echo " /etc/systemd/system/multi-user.target.wants/"
+ echo " > and then edit accordingly."
+ echo
+ echo " > PulseAudio output when running as a daemon"
+ echo " > is known to be problematic. See:"
+ echo " https://bbs.archlinux.org/viewtopic.php?id=135092"
+ echo
+}
+
+post_upgrade() {
+ post_install
+}
diff --git a/extra/fluidsynth/fluidsynth.rc b/extra/fluidsynth/fluidsynth.rc
new file mode 100644
index 000000000..ca1e8fa6e
--- /dev/null
+++ b/extra/fluidsynth/fluidsynth.rc
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f /etc/conf.d/fluidsynth ] && . /etc/conf.d/fluidsynth
+
+PID=`pidof -o %PPID /usr/bin/fluidsynth`
+case "$1" in
+ start)
+ stat_busy "Starting Fluidsynth soundfont synthesizer"
+ [ -z "$PID" ] && /usr/bin/fluidsynth -is $FSYNTH_OPTS $FSYNTH_SOUNDFONT > /dev/null 2>&1 &
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ echo $PID > /var/run/fluidsynth.pid
+ add_daemon fluidsynth
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Fluidsynth soundfont synthesizer"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm /var/run/fluidsynth.pid
+ rm_daemon fluidsynth
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
diff --git a/extra/fluidsynth/fluidsynth.systemd b/extra/fluidsynth/fluidsynth.systemd
new file mode 100644
index 000000000..06784fe05
--- /dev/null
+++ b/extra/fluidsynth/fluidsynth.systemd
@@ -0,0 +1,9 @@
+[Unit]
+Description=FluidSynth Daemon
+After=sound.target
+
+[Service]
+ExecStart=/usr/bin/fluidsynth -is -a alsa -m alsa_seq -r 48000 # append soundfont path here
+
+[Install]
+WantedBy=multi-user.target